WordPress.org

Ready to get started?Download WordPress

Forums

WP 2.0 compatible - Import RSS into blog as posts (9 posts)

  1. Beer
    Member
    Posted 8 years ago #

    Which plugins or tools exist to import rss feeds as posts, that are compatible with WordPress 2.0 ?

    FeedWordpress will not work according to the Codex
    http://projects.radgeek.com/feedwordpress

    I'm aware of Reblog, which doesn't work with WP 2.0.
    http://www.reblog.org

  2. frankpereiro
    Member
    Posted 8 years ago #

    I'm trying to do that as well, but haven't had any luck yet.

    FeedWordPress works fine as long as you don't import anything from blogger. It can't read the dates well.

    And about reblog, this is based on feedwordpress so it has problems reading the dates from blogger too.

    If you don't plan to import feeds from other blogger blogs, any of these two plugins might work for you.

  3. suleiman
    Member
    Posted 7 years ago #

    I'm also very interested in this!...particularly for WPMU integration.

  4. WPChina
    Member
    Posted 7 years ago #

    reblog doesn't seem to work with WP 2.x when trying to cleanly integrate it. I have tried for many weeks and have asked on their forum, but others too have the problems and support seems minimal.

    I am still using reblog, though, but just using the Atom feed from the reblog and syndicating that on my blog.

    yes, if anything better comes along, pls let me know too! :)

  5. solutionsphp
    Member
    Posted 7 years ago #

    This looks promising, though I haven't managed to get it working quite yet: http://www.rss2cms.com/

  6. WPChina
    Member
    Posted 7 years ago #

    Yes, looks great, though seems to need a bit of programming to fit into the CMS you choose (i.e. WordPress). Anyone try it yet?

  7. jdcoffman
    Member
    Posted 7 years ago #

    any have these working on MU yet?

  8. Trent Adams
    Member
    Posted 7 years ago #

    It is actually easy to get feedwordpress working with WP 2.1. First change line 44 from:

    require_once (ABSPATH . WPINC . '/registration-functions.php');

    to:

    require_once (ABSPATH . WPINC . '/registration.php');

    Lastly, change line 41 to:

    require_once (ABSPATH . WPINC . '/rss.php');

    Can't remember what line was before, but it was calling the file it asks you to upload to /wp-includes/ anyways.

    That will get it working. It doesn't work with MU to my understanding.

    Trent

  9. ronyfayyad
    Member
    Posted 7 years ago #

    I am having trouble getting it to work with WP2.1.

    It gives me sql errors from the beginning.

    Any ideas why?

Topic Closed

This topic has been closed to new replies.

About this Topic